Skip to content
On this page

Batch

Batch create/update/send of invoices and bulk resource deletion

Batch create invoices

POST /api/v1/batch/invoices/create

Requires authentication (Bearer token) and the X-Organization-Id header.

Request body

Field Type Required Description
invoices array yes

Responses

Status Description
201 For non-paginated data, return as before
422

Example request

curl -X POST "https://app.encryptinvoice.com/api/v1/batch/invoices/create" \
  -H "Authorization: Bearer {{access_token}}" \
  -H "X-Organization-Id: {{organization_id}}" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
    "invoices": []
}'

Batch send invoices

POST /api/v1/batch/invoices/send

Requires authentication (Bearer token) and the X-Organization-Id header.

Sends multiple invoices via email and/or PEPPOL e-invoicing network. Supports partial failures - some invoices may succeed while others fail.

Request body

Field Type Required Description
method string no
message string no
attach_pdf boolean no
invoice_ids array yes
peppol_recipient object no

Responses

Status Description
200 For non-paginated data, return as before
422

Example request

curl -X POST "https://app.encryptinvoice.com/api/v1/batch/invoices/send" \
  -H "Authorization: Bearer {{access_token}}" \
  -H "X-Organization-Id: {{organization_id}}" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
    "method": "string",
    "message": "string",
    "attach_pdf": true,
    "invoice_ids": [],
    "peppol_recipient": {}
}'

Batch update invoices

POST /api/v1/batch/invoices/update

Requires authentication (Bearer token) and the X-Organization-Id header.

Request body

Field Type Required Description
updates array yes

Responses

Status Description
200 For non-paginated data, return as before
422

Example request

curl -X POST "https://app.encryptinvoice.com/api/v1/batch/invoices/update" \
  -H "Authorization: Bearer {{access_token}}" \
  -H "X-Organization-Id: {{organization_id}}" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
    "updates": []
}'

Batch delete resources

DELETE /api/v1/batch/resources

Requires authentication (Bearer token) and the X-Organization-Id header.

Parameters

Name In Type Required Description
resource query string yes
ids[] query array yes

Responses

Status Description
200 For non-paginated data, return as before
422

Example request

curl -X DELETE "https://app.encryptinvoice.com/api/v1/batch/resources" \
  -H "Authorization: Bearer {{access_token}}" \
  -H "X-Organization-Id: {{organization_id}}" \
  -H "Accept: application/json"

We use cookies and privacy-respecting analytics

We use essential cookies for authentication and privacy-respecting analytics (self-hosted, respects Do Not Track). No advertising or third-party tracking. Learn more in our Privacy Policy